Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.log
Class MultiLogFactory

    java.lang.Object
      org.apache.openjpa.lib.log.MultiLogFactory

All Implemented Interfaces:
  LogFactory

    public class MultiLogFactory

extends Object
implements LogFactory

A LogFactory implementation to pass events through multiple LogFactory implementations(such as log4j and LogPanelFactory).

Author:
  Steve Kim

Constructor Summary
`MultiLogFactory(LogFactory[] delegates)` Create an instance with the given delegates.
`MultiLogFactory(LogFactory d1, LogFactory d2)` Create an instance with the given delegates.
`MultiLogFactory(LogFactory d1, LogFactory d2, LogFactory d3)` Create an instance with the given delegates.

Method Summary
`void` | `addLogFactory(LogFactory factory)`
`LogFactory[]` | `getDelegates()` Returns the delegates that this MultiLogFactory delegates messages to.
`Log` | `getLog(String channel)` Returns a Log impl that combines all logs.
`void` | `removeLogFactory(LogFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiLogFactory

    public MultiLogFactory(LogFactory d1,
                           LogFactory d2)

  Create an instance with the given delegates.

### MultiLogFactory

    public MultiLogFactory(LogFactory d1,
                           LogFactory d2,
                           LogFactory d3)

  Create an instance with the given delegates.

### MultiLogFactory

    public MultiLogFactory(LogFactory[] delegates)

  Create an instance with the given delegates.

Method Detail

### addLogFactory

    public void addLogFactory(LogFactory factory)

### removeLogFactory

    public void removeLogFactory(LogFactory factory)

### getDelegates

    public LogFactory[] getDelegates()

  Returns the delegates that this MultiLogFactory delegates messages to.

### getLog

    public Log getLog(String channel)

  Returns a Log impl that combines all logs.

  Specified by:
    `getLog` in interface `LogFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.